register consumer
1 min
POST
https://api.upstartcommerce.com/v1/customer/create
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe content may vary based on the set of fields required.
201<p>Success-consumer profile created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
409The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/create \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data-raw '{
"customer": {
"addresses": {
"addresses": [
{
"city": "Boston",
"country": "US",
"label": "Home",
"name": {
"first": "John",
"last": "Smith"
},
"postalCode": "03031",
"stateOrRegion": "NH",
"street1": "123 Main St. Suite 1"
}
],
"defaultBilling": {
"city": "Boston",
"country": "US",
"label": "Home",
"name": {
"first": "John",
"last": "Smith"
},
"postalCode": "03031",
"stateOrRegion": "NH",
"street1": "123 Main St. Suite 1"
},
"defaultShipping": {
"city": "Boston",
"country": "US",
"label": "Home",
"name": {
"first": "John",
"last": "Smith"
},
"postalCode": "03031",
"stateOrRegion": "NH",
"street1": "123 Main St. Suite 1"
}
},
"creditCards": {
"cards": [
{
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
}
],
"default": {
"cardNumber": "8111",
"cardType": "Visa",
"expirationMonth": "10",
"expirationYear": "2025",
"label": "Personal",
"token": "65FZG32BYZ756JH345"
}
},
"emailAddresses": {
"addresses": [
{
"address": "[email protected]",
"label": "Work email"
}
],
"default": {
"address": "[email protected]",
"label": "Work email"
}
},
"login": "bob.smith.29",
"name": {
"first": "John",
"last": "Smith"
},
"subscriptions": {
"addressCatalogs": [
{
"address": {
"city": "Boston",
"country": "US",
"label": "Home",
"name": {
"first": "John",
"last": "Smith"
},
"postalCode": "03031",
"stateOrRegion": "NH",
"street1": "123 Main St. Suite 1"
},
"label": "The Big Catalog"
}
],
"emailCatalogs": [
{
"label": "Daily Deals"
}
],
"emailNewsletters": [
{
"label": "Daily Deals"
}
]
}
},
"password": "IH4teM4k1ngPassw0rds!!"
}'